Package org.apache.wiki.plugin

## Class BugReportHandler

- java.lang.Object
- - org.apache.wiki.plugin.BugReportHandler

All Implemented Interfaces:
  `Plugin`

    public class BugReportHandler
    extends java.lang.Object
    implements Plugin

Provides a handler for bug reports. Still under construction.

Parameters :

- title - title of the bug, this is required. If it is empty (as in "") it is a signal to the handler to return quietly.
- description - description of the bug.
- version - version
- map - I have no idea
- page - The name of the page to be created for this bug report

### Field Summary

Fields
`static java.lang.String` `PARAM_DESCRIPTION` Parameter name for setting the description.
`static java.lang.String` `PARAM_MAPPINGS` Parameter name for setting the map.
`static java.lang.String` `PARAM_PAGE` Parameter name for setting the page.
`static java.lang.String` `PARAM_TITLE` Parameter name for setting the title.
`static java.lang.String` `PARAM_VERSION` Parameter name for setting the version.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`BugReportHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_TITLE

    public static final java.lang.String PARAM_TITLE

Parameter name for setting the title. Value is `"title"`.

See Also:
  Constant Field Values

#### PARAM_DESCRIPTION

    public static final java.lang.String PARAM_DESCRIPTION

Parameter name for setting the description. Value is `"description"`.

See Also:
  Constant Field Values

#### PARAM_VERSION

    public static final java.lang.String PARAM_VERSION

Parameter name for setting the version. Value is `"version"`.

See Also:
  Constant Field Values

#### PARAM_MAPPINGS

    public static final java.lang.String PARAM_MAPPINGS

Parameter name for setting the map. Value is `"map"`.

See Also:
  Constant Field Values

#### PARAM_PAGE

    public static final java.lang.String PARAM_PAGE

Parameter name for setting the page. Value is `"page"`.

See Also:
  Constant Field Values

### Constructor Detail

#### BugReportHandler

    public BugReportHandler()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`